Subject: Re: linux-next: manual merge of the wireless-next tree with Linus' and the wireless trees

From: Johannes Berg <[email-masked]>
Date: Wed, 12 Mar 2025 09:11:33 +0100

Hi,

> Today's linux-next merge of the wireless-next tree got a conflict in:
> 
>   net/wireless/nl80211.c
> 
> between commits:
> 
>   1f860eb4cdda ("wifi: nl80211: disable multi-link reconfiguration")
> 
> from Linus' tree and
> 
>   2e85829ac7fb ("wifi: nl80211: fix assoc link handling")
> 
> from the wireless tree and commits:
> 
>   a096a8602f4f ("wifi: cfg80211: move link reconfig parameters into a struct")
>   969241371f06 ("wifi: cfg80211: allow setting extended MLD capa/ops")
> 
> from the wireless-next tree.

Thanks for the heads-up, I'll see how we can deal with it best.

> I fixed it up (see below and I used the latter for the later hunk)

That looks good, thanks.

Unrelated to this, but I see you've CC'ed Kalle. He no longer maintains
wireless, so if you have some list of people for trees or so you should
probably remove him.

Thanks,
johannes